classification
Title: SSLObject.selected_alpn_protocol() not documented
Type: enhancement Stage: resolved
Components: Documentation, SSL Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Lukasa, alex.gronholm, christian.heimes
Priority: normal Keywords: patch

Created on 2016-10-16 03:49 by alex.gronholm, last changed 2021-04-17 19:35 by christian.heimes. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11991 closed python-dev, 2019-02-22 15:40
Messages (5)
msg278739 - (view) Author: Alex Grönholm (alex.gronholm) * Date: 2016-10-16 03:49
the ssl.SSLObject class supports selected_alpn_protocol() like ssl.SSLSocket, but it is not mentioned on the list of supported methods.
msg278763 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2016-10-16 10:26
Cory, does it make sense to document some examples?
msg278765 - (view) Author: Cory Benfield (Lukasa) * Date: 2016-10-16 10:38
Yeah, probably! There aren't many protocols with defined ALPN identifiers, but we should still probably explain how this works. Do you want me to write them?
msg278766 - (view) Author: Alex Grönholm (alex.gronholm) * Date: 2016-10-16 10:39
HTTP/2 (h2) is kind of a biggie :)
msg301502 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-06 19:29
Yes, please. I'd appreciate a PR with a documentation update.
History
Date User Action Args
2021-04-17 19:35:09christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-02-22 15:40:23python-devsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request12014
2018-02-26 08:53:13christian.heimessetstage: needs patch
versions: + Python 3.8
2017-09-06 19:29:53christian.heimessetmessages: + msg301502
versions: + Python 2.7, - Python 3.5
2016-10-16 10:39:38alex.gronholmsetmessages: + msg278766
2016-10-16 10:38:36Lukasasetmessages: + msg278765
2016-10-16 10:26:55christian.heimessetnosy: + Lukasa
messages: + msg278763

assignee: christian.heimes ->
components: + Documentation
type: enhancement
2016-10-16 03:49:51alex.gronholmcreate